Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.lineage
Class TransDataLineage

    java.lang.Object
      org.pentaho.di.lineage.TransDataLineage

    public class TransDataLineage

extends Object

This class will help calculate and contain the data lineage for all values in the transformation.
What we will get is a List of ValueLineage objects for all the values steps in the transformation.
Each of these ValueLineage objects contains a list of all the steps it passed through.
As such, it's a hierarchical view of the transformation.
This view will allow us to see immediately where a certain value is being manipulated.

Author:
  matt

Constructor Summary
`TransDataLineage(TransMeta transMeta)`

Method Summary
`void` | `calculateLineage()` Using the transformation, we will calculate the data lineage for each field in each step.
`TransMeta` | `getTransMeta()`
`List<ValueLineage>` | `getValueLineages()`
`void` | `setTransMeta(TransMeta transMeta)`
`void` | `setValueLineages(List<ValueLineage> valueLineages)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransDataLineage

    public TransDataLineage(TransMeta transMeta)

Method Detail

### getTransMeta

    public TransMeta getTransMeta()

### setTransMeta

    public void setTransMeta(TransMeta transMeta)

### getValueLineages

    public List<ValueLineage> getValueLineages()

  Returns:
    the valueLineages

### setValueLineages

    public void setValueLineages(List<ValueLineage> valueLineages)

  Parameters:
    `valueLineages` - the valueLineages to set

### calculateLineage

    public void calculateLineage()
                          throws org.pentaho.di.core.exception.KettleStepException

  Using the transformation, we will calculate the data lineage for each field in each step.

  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - In case there is an exception calculating the lineage. This is usually caused by unavailable data sources etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD